
pub struct Chip8Display {
    // 64w x 32h
    pub memory: [bool; 512],
}

impl Chip8Display {
    pub fn tick(self: &Self) {
        println!("Ticking the display");
    }

    pub fn render_chip8_display(to_render: Chip8Display) {
        // 32 rows...
        for index_row in 0..=32 {
            // ...64 columns
            for index_col in 0..=64 {
                let offset = (index_row * 64) + index_col;
                if to_render.memory[offset] {
                    print!("*")
                } else {
                    print!(" ")
                };
            }
            println!();
        }
    }
}
